> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Filecoin Custody Wallet

> Verifies a signer key against a Filecoin multisig on-chain (threshold >= 2) and stores the wallet with encrypted key.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/create-filecoin-custody-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/create-filecoin-custody-wallet:
    post:
      operationId: createFilecoinCustodyWallet
      summary: Create Filecoin Custody Wallet
      description: >-
        Verifies a signer key against a Filecoin multisig on-chain (threshold >=
        2) and stores the wallet with encrypted key.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFilecoinCustodyWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateFilecoinCustodyWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateFilecoinCustodyWalletRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        multisigAddress:
          type: string
          pattern: ^[ft]2[a-z2-7]{38,}$
        signerPrivateKey:
          type: string
          pattern: ^[0-9a-fA-F]{64}$
        network:
          type: string
          enum:
            - mainnet
            - calibration
      required:
        - multisigAddress
        - signerPrivateKey
        - network
    CreateFilecoinCustodyWalletResponse:
      type: object
      properties:
        custodyWalletID:
          type: string
        walletAddress:
          type: string
        multisigAddress:
          type: string
        derivedSignerAddress:
          type: string
        signerAddress:
          type: string
        threshold:
          type: number
        signerCount:
          type: integer
        allSigners:
          type: array
          items:
            type: string
      required:
        - custodyWalletID
        - walletAddress
        - multisigAddress
        - derivedSignerAddress
        - signerAddress
        - threshold
        - signerCount
        - allSigners
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
